# QUiLoader Class Reference

### [com.trolltech.qt.uitools package]

Inherits QObject.

### Constructor

- void QUiLoader(QObject parent)

### Constructor Properties

- prototype: The QUiLoader prototype object

### Prototype Object Properties

The QUiLoader prototype object inherits properties from the QObject prototype object and also has the following properties.

- void addPluginPath(String path)
- List availableLayouts()
- List availableWidgets()
- void clearPluginPaths()
- QAction createAction(QObject parent, String name)
- QActionGroup createActionGroup(QObject parent, String name)
- QLayout createLayout(String className, QObject parent, String name)
- QWidget createWidget(String className, QWidget parent, String name)
- bool isLanguageChangeEnabled()
- bool isScriptingEnabled()
- bool isTranslationEnabled()
- QWidget load(QIODevice device, QWidget parentWidget)
- List pluginPaths()
- void setLanguageChangeEnabled(bool enabled)
- void setScriptingEnabled(bool enabled)
- void setTranslationEnabled(bool enabled)
- void setWorkingDirectory(QDir dir)
- QDir workingDirectory()

### Instance Properties

QUiLoader objects have no special properties beyond those inherited from the QUiLoader prototype object.